//该文件由刘伟增加,主要用于各客户端脚本的基本验证函数.

//检查是否是字符
function checkchar(el)
{
   //如果含有非字母数字 返回 true
   var text1="abcdefghijklmnopqrstuvwxyz1234567890 ABCDEFGHIJKLMNOPQRSTUVWXYZ,()!@$%&#*~.;_-=+-{}[]?'^";
   for(i=0;i<=el.length-1;i++)
   {
      char1=el.charAt(i);
      index=text1.indexOf(char1);
      if(index==-1){
      	return true;//非法
      }  
   }
   return false;
}

//检查标题是否合法
function chktitle(el)
{
    //合法true,非法false
    var regx=/^([\u4e00-\u9fa5]|[\w]|[.,_]){1,50}$/g;
    return (regx.test(el));
}

//检查数字参数是否合法
function chknumparm(parm)
{
    if(checknumeric(parm) || parm==null || parm=="undefined" || parm=="")
        return false;//非法
    return true;//合法
}

//检查是否是数字,字母字符
function checkcharNew(el)
{
   var  regu="^[0-9a-zA-Z\_]+$"  
   var  re= new  RegExp(regu);  
           if  (el.search(re)== -1){ 
            return true; //非法
                 }
   return false;//正确
}

//检查是否是数字字符
function checknumeric(el)
{
   //如果含有非字母数字 返回 true
   var text1="1234567890";
   for(i=0;i<=el.length-1;i++)
   {
      char1=el.charAt(i);
      index=text1.indexOf(char1);
      if(index==-1){
      	return true;//非法
      }  
     //没有
   }
   return false;
}

// 验证电话号码
function CheckTel(strValue)
{   
  var re =   /^(((\()?\d{2,4}(\))?[-(\s)*]){0,2})?(\d{7,8})$/;   
  if(re.test(strValue))
  {   
    return false;//电话号码格式正确  
  }
  else
  {   
     return true;//错误的电话号码  
  }   
}   

// 验证邮政编码
function checkTextDataForPOST(strValue)
{
  var regTextPost = /^(\d){6}$/;
  return regTextPost.test(strValue);
} 


// 检查email是否合法
function checkemial(el)
{
   var  regu="^(([0-9a-zA-Z]+)|([0-9a-zA-Z]+[_.0-9a-zA-Z-]*[0-9a-zA-Z]+))@([a-zA-Z0-9-]+[.])+([a-zA-Z]{2}|net|NET|com|COM|gov|GOV|mil|MIL|org|ORG|edu|EDU|int|INT)$"  
   var  re= new  RegExp(regu);  
           if  (el.search(re)== -1){ 
            return true; //非法
                 }
   return false;//正确
}


function DataLength(el){var ret=0;for (var i=0;i<el.length;i++){if ((el.charCodeAt(i) < 0) || (el.charCodeAt(i) > 255)){ret=ret+2;}else{ret=ret+1;}}return ret;}

//获取Url参数
function getparastr(strname)
{
    var hrefstr,pos,parastr,para,tempstr;
    hrefstr = window.location.href;
    pos = hrefstr.indexOf("?");
    parastr = hrefstr.substring(pos+1);
    para = parastr.split("&");
    tempstr="";
    for(i=0;i<para.length;i++)
        {tempstr = para[i];
         pos = tempstr.indexOf("=");
         if(tempstr.substring(0,pos) == strname)
	        {return tempstr.substring(pos+1);}
        }
    return null;
}
      
//验证网址
function checkURL(URL)
{  
      var str=URL;
      var Expression=/http(s)?:\/\/([\w-]+\.)+[\w-]+(\/[\w-.\/?%&=]*)?/;
      var objExp=new RegExp(Expression);
      if(objExp.test(str)==true)
      {
        return true;
      }
      else
      {
         return false;
      }
}
//验证手机号

function IsPhoneNumber(number)
{
     var str=number;
     var myreg = /^(((13[0-9]{1})|159)+\d{8})$/;
     var objExp=new RegExp(myreg);
     if(objExp.test(str)==true)
     {
       return true;
     }
     else
     {
       return false;
     }
}
  


//检查是否是字母字符
function checkcharNew1(el)
{
   var  regu="^[a-zA-Z\_]+$"  
   var  re= new  RegExp(regu);  
           if  (el.search(re)== -1){ 
            return true; //非法
                 }
   return false;//正确
}

/* 
判断证书编号是否符合要求，证书编号包含中文、数字、大小写字母、(、)、- 
是返回true，不是返回false 
*/ 
function isZSBH(str){ 
if(""==str){ 
return false; 
} 
for(var i=0;i<str.length;i++){ 
var c = str.charAt(i); 
alpha = "ABCDEFGHIJKLMNOPQRSTUVWXYZ"; 
alpha += "abcdefghijklmnopqrstuvwxyz"; 
if(!isChinese(c)&&alpha.indexOf(c)==-1){ 
return false; 
} 
} 
return true; 
} 

//是中文返回TRUE
function isChinese(obj)
{
    var reg = /^[\u0391-\uFFE5]+$/;
    return reg.test(obj);
}


function GetVBK(_2,_1){if(_2.length<0)return "";  if(_1=="")return "";  for(var i=0;i<_2.length;i++) {if(_2[i][1]== _1 ){ return _2[i][0]; } } return "";}

//根据值查找键
///_1，DD 数组,_2,Key
function GetKBV(_2,_1){if(_2.length<0)return ""; if(_1=="")return ""; for(var i=0;i<_2.length;i++){ if(_2[i][0]== _1){ return _2[i][1]; }  } return "";}

var GetStrBysplit=function(tag,classname)
{  
    var re =/,|，|\s/;
    var TagArr=tag.split(re);
    var tstr="";
      
    if(TagArr.length>0)
    {
        for(var i=0;i<TagArr.length;i++)
        {
            if(Jtrim(TagArr[i])!="")
            {
                tstr+='<span class="'+classname+'">'+TagArr[i]+'</span>';
            }
        }
    }
    return tstr;
};


function GetTopPosition(e){ 
if (arguments.length != 1 || e == null ) 
{ 
    return null; 
} 
var offset=e.offsetTop; 
if(e.offsetParent!=null)
{ 
    offset+=GetTopPosition(e.offsetParent); 
    if ( e.style.position == 'absolute' || e.style.position == 'relative' || ( e.style.overflow != 'visible' && e.style.overflow != '' ) ) 
     { 
           return offset; 
     } 
}
return offset; 
}
function GetLeftPosition(e){ 
if(arguments.length != 1 || e == null ) 
{ 
    return null; 
} 
var offset=e.offsetLeft;  
if(e.offsetParent!=null)
{
 offset+=GetLeftPosition(e.offsetParent); 
 if ( e.style.position == 'absolute' || e.style.position == 'relative' || ( e.style.overflow != 'visible' && e.style.overflow != '' ) ) 
 { 
       return offset; 
 } 
}
return offset; 
} 

//本函数由常亮增加,主要是用于javascript中去掉前后导的空格
function Trim(el){el=el.replace(/(^\s+)|\s+$/g,"") ;return el;}

var Creator_JsSub=function(el,len)
{   var ret="";var size=0;
    if(len==null || (isNaN(len)))
        return el;
    var pos=0;
    for (var i=0;i<el.length;i++)
    {
    if ((el.charCodeAt(i) < 0) || (el.charCodeAt(i) > 255))
    {ret=ret+el.substring(i,1); size=size+2;}
    else{ret=ret+el.substring(i,1); size=size+1}
        if(size>=len){pos=i+1;break;}
    }
    if(pos<1)pos=el.length;
    return el.substring(0,pos);
}

var Getsubstr= function(str,size)
{
   if(size==null || size=="undefined" || size=="")
   {
      return "";
   };
   if(str==null)
   {
      return "";
   };
   if((str=Jtrim(str))=="")
   {
      return"";
   };
   if(DataLength(str)>size)
   {
       return Creator_JsSub(str,size)+"...";
   }return str;
};


//单张图片实现等比缩放

function MyImage(Img,WIDTH,HEIGHT)
{ 
    var image=new Image(); 
    image.src=Img.src; 
    width=WIDTH;//预先设置的所期望的宽的值 
    height=HEIGHT;//预先设置的所期望的高的值 
    if(image.width>width||image.height>height)
    {
        //现有图片只有宽或高超了预设值就进行js控制 
        w=image.width/width; 
        h=image.height/height; 
        if(w>h)
        {
        //比值比较大==>宽比高大 
        //定下宽度为width的宽度 
        Img.width=width; 
        //以下为计算高度 
        Img.height=image.height/w; 

       }
       else
       {
        //高比宽大 
        //定下宽度为height高度 
        Img.height=height; 
        //以下为计算高度 
        Img.width=image.width/h; 
       } 
     } 
}

//2008-03-27
//过滤HTML标签
function RemoveHTML(strText)
{
   var regEx = /<[^>]*>/g;
   return strText.replace(regEx, "");
}

function GetStrLength(strText) {
    return strText.length;
}